Package org.apache.nutch.publisher

## Interface NutchPublisher

- All Superinterfaces:
    `Configurable`, `Pluggable`
  All Known Implementing Classes:
    `NutchPublishers`, `RabbitMQPublisherImpl`

      public interface NutchPublisher
      extends Configurable, Pluggable

  All publisher subscriber model implementations should implement this interface.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `X_POINT_ID` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `publish​(Object event, Configuration conf)` | This method publishes the event.
    `boolean` | `setConfig​(Configuration conf)` | Use implementation specific configurations

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Field Detail

    - #### X_POINT_ID

          static final String X_POINT_ID

  - ### Method Detail

    - #### setConfig

          boolean setConfig​(Configuration conf)

      Use implementation specific configurations
      Parameters:
        `conf` - `Configuration` to be used
      Returns:
        true if set, false otherwise

    - #### publish

          void publish​(Object event,
                       Configuration conf)

      This method publishes the event. Make sure that the event is a Java POJO to avoid Jackson JSON conversion errors. Currently we use the FetcherThreadEvent
      Parameters:
        `event` - the `Object` (event) to publish
        `conf` - `Configuration` to be used